* Create a cursor of product IDs.

create cursor PRODUCTS (ID C(10))
insert into PRODUCTS values ('A-1')
insert into PRODUCTS values ('A-2')
insert into PRODUCTS values ('A-3')
insert into PRODUCTS values ('A-10')
insert into PRODUCTS values ('A-11')
insert into PRODUCTS values ('A-100')
insert into PRODUCTS values ('A-101')
insert into PRODUCTS values ('A-1-1')
insert into PRODUCTS values ('A-1-10')
insert into PRODUCTS values ('A-1-2')

* Display the ASCII sort.

select * from PRODUCTS into cursor ASCIISort order by 1
browse

* Display the natural sort. Unfortunately, the first statement gives a "SQL:
* ORDER BY clause is invalid" error, so we have to include the sort value in
* the cursor.

*select ID from PRODUCTS into cursor NaturalSort order by NaturalSortKey(ID)
select ID, NaturalSortKey(ID) as SORT from PRODUCTS into cursor NaturalSort order by SORT
browse
